
QGIS Application - Bug report #10546

When symbol units is in map units then the symbol in composer legend has a padding around it

2014-06-11 09:43 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 18953

Description

The attached image may explain better what it is going on:

*) the svg symbols and the yellow symbols are defined in map units, the more the units the more a padding is used around the symbol in

the legend

*) the same layer used is used with a symbology in millimiters (color circles) and no such padding is applied.

It is not a regression but hopefully is an easy fix in time for 2.4.

History

#1 - 2014-06-11 09:43 AM - Giovanni Manghi

- File 49.png added

#2 - 2014-06-20 05:54 AM - Giovanni Manghi

- Target version set to Version 2.4

#3 - 2014-06-22 02:02 AM - Nyall Dawson

Unless I'm missing something, aren't symbols using map units unusable in legend at the moment? I just tried for the first time it seems symbols using map

units are drawn at some seemingly random size.

#4 - 2014-06-22 02:26 AM - Giovanni Manghi

Nyall Dawson wrote:

Unless I'm missing something, aren't symbols using map units unusable in legend at the moment? I just tried for the first time it seems symbols using

map units are drawn at some seemingly random size.

it is the "data defined" properties that isn't working.

You can define the size of point symbols in map units and get legends (in the composer) with a symbol of the proper/needed size. Problem is that in the

composer the symbol is "padded". In the attached image you see that there are symbols (in map units) that are not aligned to left. The padding increases

with the value of map units.

#5 - 2014-06-22 02:50 AM - Nyall Dawson
I'm not referring to data defined sizes - just a simple marker with size in map units. In the legend the symbol isn't drawn to scale for me. Can you test this

and confirm?

#6 - 2014-06-22 03:05 AM - Giovanni Manghi

- File 42.png added

Nyall Dawson wrote:

I'm not referring to data defined sizes - just a simple marker with size in map units. In the legend the symbol isn't drawn to scale for me. Can you test

this and confirm?

Hi Nyall,

the size of symbols see the attached screenshot, both layers (same source) are 20 map units (meters), they seems ok to me (other than the padding).

#7 - 2014-06-22 03:13 AM - Nyall Dawson

Try changing the map scale though - does the symbol in the legend change size too?

#8 - 2014-06-22 11:51 AM - Giovanni Manghi

Nyall Dawson wrote:

Try changing the map scale though - does the symbol in the legend change size too?

Hi Nyall,

no, it does not change.

#9 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#10 - 2014-08-07 08:45 AM - Gilles Turgeon

- File Couverture.zip added

I am not sure taht this is the same bugs, but the other (#11006) is not the same so I post this file here to.

Composer dont seem to take in consideration the scale ou the unit of the map when drawing border of polygon ou line in the legend when the layer use map

units.

#11 - 2014-08-25 07:33 AM - Martin Dobias

- Resolution set to duplicate

- Status changed from Open to Closed
This is the same bug as #11006

Files

49.png 170 KB 2014-06-11 Giovanni Manghi

42.png 256 KB 2014-06-22 Giovanni Manghi

Couverture.zip 903 KB 2014-08-07 Gilles Turgeon
